Method: projects.locations.qaQuestionTags.patch

Updates a QaQuestionTag.

HTTP request

PATCH https://{endpoint}/v1alpha1/{qaQuestionTag.name=projects/*/locations/*/qaQuestionTags/*}

Where {endpoint} is one of the supported service endpoints.

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
qaQuestionTag.name

string

Identifier. Resource name for the QaQuestionTag Format projects/{project}/locations/{location}/qaQuestionTags/{qaQuestionTag} In the above format, the last segment, i.e., qaQuestionTag, is a server-generated ID corresponding to the tag resource.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to be updated. All possible fields can be updated by passing *, or a subset of the following updateable fields can be provided:

  • qa_question_tag_name - the name of the tag
  • qaQuestionIds - the list of questions the tag applies to

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of QaQuestionTag.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • contactcenterinsights.qaQuestionTags.update

For more information, see the IAM documentation.